Archive

Will the ending of support for OpenSSL 1.0.1 impact my Splunk instance?

Splunk Employee
Splunk Employee

I heard that support for OpenSSL 1.0.1 will end soon. Does this impact my Splunk instance?

0 Karma

Splunk Employee
Splunk Employee

Yes, The OpenSSL Software Foundation will cease support for OpenSSL version 1.0.1 on Dec 31st 2016. This means that new security vulnerabilities discovered in OpenSSL 1.0.1 will not be patched after Jan 1st 2017.

Splunk Enterprise versions 6.0, 6.1, and 6.2 use OpenSSL 1.0.1. Hence, if you are running version 6.2 or earlier and use SSL to secure Splunk Enterprise we recommend that you upgrade to version 6.3 or higher. More information can be found here: http://blogs.splunk.com/2016/10/18/important-information-for-customers-using-splunk-enterprise-6-2-o...